Debian Bug report logs - #541089
xterm: bold color attribute now displaying as black by default

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Mark Nipper <nipsy@bitgnome.net>

Date: Tue, 11 Aug 2009 17:03:01 UTC

Severity: minor

Tags: fixed-upstream

Merged with 541716

Found in versions xterm/244-1, xterm/244-2

Fixed in version xterm/246-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Tue, 11 Aug 2009 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Nipper <nipsy@bitgnome.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Nipper <nipsy@bitgnome.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: bold color attribute now displaying as black by default
Date: Tue, 11 Aug 2009 12:00:04 -0500
Package: xterm
Version: 244-1
Severity: minor

	With yesterday's update of xterm, bold  attributes are
displaying in the color black.  I'm assuming '+bdc' got set by default
somehow instead of '-bdc'?

	Anyway, since a lot of people probably use black as their
default background color, this might cause a lot of problems.  Not only
did portions of my prompt string disappear in my shell (minor issue),
but man pages are pretty much unreadable.

	Simply setting the resource (or passing the '-bdc' option to my
xterm) fixes the problem.  I'm not sure if this is something you need to
address, but I'm submitting this report for reference sake at the very
least.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-24         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-1 shared libraries for terminal hand
ii  libx11-6                  2:1.2.2-1      X11 client-side library
ii  libxaw7                   2:1.0.6-1      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Tue, 11 Aug 2009 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Nipper <nipsy@bitgnome.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 17:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 541089@bugs.debian.org (full text, mbox):

From: Mark Nipper <nipsy@bitgnome.net>
To: Debian Bug Tracking System <541089@bugs.debian.org>
Subject: xterm: well, maybe not...
Date: Tue, 11 Aug 2009 12:14:09 -0500
Package: xterm
Severity: normal

	Actually, it appears that suddenly the colorBDMode resource is
being honored.  I had it (along with colorBLMode and colorULMode)
defined in my .Xresources file as true.

	So it appears yesterday's update actually fixed a long standing
issue possibly.  You can close this report since things appear to be
working as they should have been all along now.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (600, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xterm depends on:
ii  libc6                     2.9-24         GNU C Library: Shared libraries
ii  libfontconfig1            2.6.0-4        generic font configuration library
ii  libice6                   2:1.0.5-1      X11 Inter-Client Exchange library
ii  libncurses5               5.7+20090803-1 shared libraries for terminal hand
ii  libx11-6                  2:1.2.2-1      X11 client-side library
ii  libxaw7                   2:1.0.6-1      X11 Athena Widget library
ii  libxft2                   2.1.13-3       FreeType-based font drawing librar
ii  libxmu6                   2:1.0.4-2      X11 miscellaneous utility library
ii  libxt6                    1:1.0.5-3      X11 toolkit intrinsics library
ii  xbitmaps                  1.0.1-2        Base X bitmaps

Versions of packages xterm recommends:
ii  x11-utils                     7.4+1      X11 utilities
ii  xutils                        1:7.4+3    X Window System utility programs m

Versions of packages xterm suggests:
pn  xfonts-cyrillic               <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Tue, 11 Aug 2009 17:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 17:39:02 GMT) Full text and rfc822 format available.

Message #15 received at 541089@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mark Nipper <nipsy@bitgnome.net>, 541089@bugs.debian.org
Subject: Re: Bug#541089: xterm: bold color attribute now displaying as black by default
Date: Tue, 11 Aug 2009 19:35:56 +0200
On Tue, Aug 11, 2009 at 12:00:04 -0500, Mark Nipper wrote:

> 	With yesterday's update of xterm, bold  attributes are
> displaying in the color black.  I'm assuming '+bdc' got set by default
> somehow instead of '-bdc'?
> 
> 	Anyway, since a lot of people probably use black as their
> default background color, this might cause a lot of problems.  Not only
> did portions of my prompt string disappear in my shell (minor issue),
> but man pages are pretty much unreadable.
> 
> 	Simply setting the resource (or passing the '-bdc' option to my
> xterm) fixes the problem.  I'm not sure if this is something you need to
> address, but I'm submitting this report for reference sake at the very
> least.

I can't reproduce this.  manpages are readable for me with the default
settings, and xterm +bdc makes bold text disappear.
Anything particular in your setup?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Tue, 11 Aug 2009 17:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Nipper <nipsy@bitgnome.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 11 Aug 2009 17:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 541089@bugs.debian.org (full text, mbox):

From: Mark Nipper <nipsy@bitgnome.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 541089@bugs.debian.org
Subject: Re: Bug#541089: xterm: bold color attribute now displaying as black by default
Date: Tue, 11 Aug 2009 12:41:18 -0500
On 11 Aug 2009, Julien Cristau wrote:
> I can't reproduce this.  manpages are readable for me with the default
> settings, and xterm +bdc makes bold text disappear.
> Anything particular in your setup?

	You may not have gotten my update to that bug report.  I
think you inadvertently fixed something with this most recent
release.  The fact that colorBDMode was enabled was actually my
own fault (I had it in my .Xresources).  But I've had it in my
.Xresources for years now, and this only just now became an
issue.

	So disabling colorBDMode fixed my problem.  And regarding
this issue, xterm is actually working as documented now (which
apparently it wasn't before).  So thanks!  :)

-- 
Mark Nipper
nipsy@bitgnome.net (XMPP)
(979)575-3193
-
"If the fool would persist in his folly he would become wise."
 -- one of the Proverbs of Hell from William Blake's _The
    Marraige of Heaven and Hell_, 1789-1790




Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 11 Aug 2009 17:57:03 GMT) Full text and rfc822 format available.

Notification sent to Mark Nipper <nipsy@bitgnome.net>:
Bug acknowledged by developer. (Tue, 11 Aug 2009 17:57:03 GMT) Full text and rfc822 format available.

Message #25 received at 541089-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Mark Nipper <nipsy@bitgnome.net>
Cc: 541089-done@bugs.debian.org
Subject: Re: Bug#541089: xterm: bold color attribute now displaying as black by default
Date: Tue, 11 Aug 2009 19:53:46 +0200
On Tue, Aug 11, 2009 at 12:41:18 -0500, Mark Nipper wrote:

> On 11 Aug 2009, Julien Cristau wrote:
> > I can't reproduce this.  manpages are readable for me with the default
> > settings, and xterm +bdc makes bold text disappear.
> > Anything particular in your setup?
> 
> 	You may not have gotten my update to that bug report.  I

Right, I got it just after replying to the initial report :)

> think you inadvertently fixed something with this most recent
> release.  The fact that colorBDMode was enabled was actually my
> own fault (I had it in my .Xresources).  But I've had it in my
> .Xresources for years now, and this only just now became an
> issue.
> 
> 	So disabling colorBDMode fixed my problem.  And regarding
> this issue, xterm is actually working as documented now (which
> apparently it wasn't before).  So thanks!  :)
> 
Closing the bug per submitter, thanks!

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Thu, 13 Aug 2009 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 13 Aug 2009 19:51:03 GMT) Full text and rfc822 format available.

Message #30 received at 541089@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 541089@bugs.debian.org
Cc: debian-x@lists.debian.org
Subject: Re: Bug#541089: xterm: bold color attribute now displaying as black by default
Date: Thu, 13 Aug 2009 21:47:12 +0200 (CEST)
My interpretation of this (man xterm):

,----
|        colorBD (class ColorBD)
|                This specifies the color to use to display bold  characters  if
|                the  ``colorBDMode''  resource  is  enabled.   The  default  is
|                ``XtDefaultForeground.''
`----

is that setting colorBD without colorBDMode being enabled won't do
anything useful.  Am I wrong?


Cheers,

-- 
Cristian




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Fri, 14 Aug 2009 17:06:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 14 Aug 2009 17:06:09 GMT) Full text and rfc822 format available.

Message #35 received at 541089@bugs.debian.org (full text, mbox):

From: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>
To: 541089@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#541089: xterm: bold color attribute now displaying as black by default
Date: Fri, 14 Aug 2009 19:04:10 +0200 (CEST)
reopen 541089
found 541236 xterm/244-2
thanks

On Thu, 13 Aug 2009, Cristian Ionescu-Idbohrn wrote:

> My interpretation of this (man xterm):
>
> ,----
> |        colorBD (class ColorBD)
> |                This specifies the color to use to display bold  characters  if
> |                the  ``colorBDMode''  resource  is  enabled.   The  default  is
> |                ``XtDefaultForeground.''
> `----
>
> is that setting colorBD without colorBDMode being enabled won't do
> anything useful.  Am I wrong?

Can't make much sense of this.  Command line options or ~/.Xresources, no
joy :(  Here's my resources:

XTerm*VT100*Geometry:   80x80
XTerm*ScrollCond:       true
XTerm*ScrollBar:        true
XTerm*rightScrollBar:   true
XTerm*SaveLines:        6000
XTerm*Font:             6x13
XTerm*background:       lightyellow
XTerm*foreground:       black
XTerm*cursorColor:      red
XTerm*pointerColor:     red
XTerm*VT100*colorBDMode: true
XTerm*VT100*colorBD:    blue
XTerm*colorULMode:      true
XTerm*underLine:        false
XTerm*colorUL:          magenta
XTerm*dynamicColors:    true
XTerm*EightBitInput:    true
XTerm*EightBitOutput:   true
!# No session  manager callbacks
XTerm*sessionMgt:       false


Cheers,

-- 
Cristian




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Aug 2009 17:06:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Sat, 15 Aug 2009 00:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 15 Aug 2009 00:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 541089@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541089@bugs.debian.org
Cc: 541089-submitter@bugs.debian.org
Subject: #541089 xterm: bold color attribute now displaying as black by default
Date: Fri, 14 Aug 2009 20:52:57 -0400
[Message part 1 (text/plain, inline)]
Here's my current changes for #246, which includes a fix for this bug.

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[xterm-245b.patch.gz (application/octet-stream, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mark Nipper <nipsy@bitgnome.net>:
Bug#541089. (Sat, 15 Aug 2009 00:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#541089; Package xterm. (Mon, 17 Aug 2009 00:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 17 Aug 2009 00:39:07 GMT) Full text and rfc822 format available.

Message #50 received at 541089@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 541089@bugs.debian.org
Cc: 541089-submitter@bugs.debian.org
Subject: re: #541089 xterm: bold color attribute now displaying as black by default
Date: Sun, 16 Aug 2009 20:37:09 -0400
[Message part 1 (text/plain, inline)]
fixed in patch #246

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Mon, 17 Aug 2009 00:39:18 GMT) Full text and rfc822 format available.

Message sent on to Mark Nipper <nipsy@bitgnome.net>:
Bug#541089. (Mon, 17 Aug 2009 00:39:22 GMT) Full text and rfc822 format available.

Forcibly Merged 541089 541716. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:00:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 20 Aug 2009 22:06:08 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 22 Aug 2009 23:00:14 GMT) Full text and rfc822 format available.

Notification sent to Mark Nipper <nipsy@bitgnome.net>:
Bug acknowledged by developer. (Sat, 22 Aug 2009 23:00:14 GMT) Full text and rfc822 format available.

Message #64 received at 541089-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 541089-close@bugs.debian.org
Subject: Bug#541089: fixed in xterm 246-1
Date: Sat, 22 Aug 2009 22:47:32 +0000
Source: xterm
Source-Version: 246-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_246-1.diff.gz
  to pool/main/x/xterm/xterm_246-1.diff.gz
xterm_246-1.dsc
  to pool/main/x/xterm/xterm_246-1.dsc
xterm_246-1_amd64.deb
  to pool/main/x/xterm/xterm_246-1_amd64.deb
xterm_246.orig.tar.gz
  to pool/main/x/xterm/xterm_246.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541089@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 23 Aug 2009 00:35:21 +0200
Source: xterm
Binary: xterm
Architecture: source amd64
Version: 246-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 531597 541089 541160 541236 541603
Changes: 
 xterm (246-1) unstable; urgency=low
 .
   * New upstream release
     + interaction between allowSendEvents and the various allowXXXOps
       resources clarified in manpage (closes: #531597)
     + remove obsolete logic for saving/restoring wrapping flags, which did not
       work on 64-bit platform.  Wrapping flags (stored in the line-index) are
       now copied with line-data (closes: #541160)
     + modify comments in app-defaults files to avoid problem with C
       preprocessor used by xrdb (closes: #541603)
     + restore special case in makeColorPair needed for colorBDMode resource
       (closes: #541089)
     + correct SetLineFlags() macro, broken in patch #244 when recoding to
       avoid gcc-specific bitfields (closes: #541236)
   * The issues with the fifo-lines code should now be fixed, so enable it
     again.
Checksums-Sha1: 
 a02c720f07994a8961dfd5821a3b1c74b66e6773 1339 xterm_246-1.dsc
 08a10609f40e5da1c2a1612abdf3a89e09282a3b 883376 xterm_246.orig.tar.gz
 cb7f14b5e480af04a934b30af34cb511d2a0116a 74206 xterm_246-1.diff.gz
 a417cbb1830cbd76776a54159a9c2941b2517f28 513600 xterm_246-1_amd64.deb
Checksums-Sha256: 
 b6001b175ac781f557bd693ef000174a2bce193232997380300afd5c1994976f 1339 xterm_246-1.dsc
 dcb19d412be91e0dfef75aa0ca4cee3483d9a8fa356351300e3919a377e863cf 883376 xterm_246.orig.tar.gz
 c7918d0a0572b62c5bc2b39c51a0d7f340979ec770ae48767e40c94e07eb3e52 74206 xterm_246-1.diff.gz
 83d5be92a44e5c3b6701e6dfcdf44379023e1d00a46b82ce67c23e586a80db55 513600 xterm_246-1_amd64.deb
Files: 
 eb6639a92a73e4402718df5365588817 1339 x11 optional xterm_246-1.dsc
 b0c3aa021031742d6f5009833fc4d800 883376 x11 optional xterm_246.orig.tar.gz
 33595abc54cbea7c47fbb8183e2c10a1 74206 x11 optional xterm_246-1.diff.gz
 f0c1445d8f2c007bf7b9f66e100ff21b 513600 x11 optional xterm_246-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqQc3AACgkQmEvTgKxfcAyGLACfbsR3Fbqim8670EAhX8CxEM2d
ISUAn3lif2wbjhtwHI/ABT3ZHr8/DO0N
=r08v
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sat, 22 Aug 2009 23:00:15 GMT) Full text and rfc822 format available.

Notification sent to bwpearre@alumni.princeton.edu:
Bug acknowledged by developer. (Sat, 22 Aug 2009 23:00:15 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 30 Sep 2009 07:44:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:22:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.